#!/use/bin/env perl
use strict;
use warnings;
use 5.014;
use FindBin;
use lib $FindBin::Bin;
use FindNewSeries;

use LWP::UserAgent;
use Number::Format;
use Template;

my $ua = LWP::UserAgent->new(
    agent   => 'domms new series finder',
    timeout => 5,
);

my $formatter = Number::Format->new;

my $tt = Template->new( INCLUDE_PATH => $FindBin::Bin . '/../tt/', );

my $fns = FindNewSeries->new;
say $fns->run( $ua, $formatter, $tt );
