package MockTT;
use strict;
use warnings;
use Moose;
use namespace::autoclean;
use Clone qw(clone);

has 'args' => (
    isa=>'ArrayRef',
    is=>'rw',
    clearer   => 'reset',
    default => sub {[]}
);

sub process {
    my $self = shift;
    my $args = clone(\@_);
    push(@{$self->args},$args);
    return $args;
}

sub error { ... } 

__PACKAGE__->meta->make_immutable;
1;
