#!/use/bin/env perl
use strict;
use warnings;
use 5.014;
use FindBin;
use lib $FindBin::Bin;
use FindNewSeries;

use LWP::UserAgent;
use Number::Format;
use Template;

my $fns = FindNewSeries->new(
    ua => LWP::UserAgent->new(
        agent   => 'domms new series finder',
        timeout => 5,
    ),
    formatter => Number::Format->new,
    renderer  => Template->new( INCLUDE_PATH => $FindBin::Bin . '/../tt/', ),
);
say $fns->run;
