#!/use/bin/env perl
use strict;
use warnings;
use 5.014;
use FindBin;
use lib $FindBin::Bin;
use FindNewSeries;

package MockLWP;
use Moose;
has 'decoded_content' => (
    is  => 'ro',
    isa => 'Str',
    default => '<?xml version="1.0" encoding="UTF-8" ?> <!DOCTYPE torrent PUBLIC "-//bitTorrent//DTD torrent 0.1//EN" "http://xmlns.ezrss.it/0.1/dtd/"> <rss version="2.0"></rss>',
);
has 'is_success' => (
    is      => 'ro',
    isa     => 'Bool',
    default => 1,
);

sub get {
    my $self = shift;
    return $self;
}

package main;

my $fns = FindNewSeries->new( ua => MockLWP->new, );
say $fns->run;
